Summary: Cross platform C library for parsing GNU style command line arguments
Name: argtable
Version: 2.13
Release: 2%{?dist}
License: LGPLv2+
Url: http://argtable.sourceforge.net/
Source: http://prdownloads.sourceforge.net/argtable/%{name}2-13.tar.gz
Group: Applications/Internet
BuildRequires: pkgconfig

%description
Argtable is an ANSI C library for parsing GNU style command line
arguments. It enables a program's command line syntax to be defined in
the source code as an array of argtable structs. The command line is
then parsed according to that specification and the resulting values
are returned in those same structs where they are accessible to the main
program. Both tagged (-v, --verbose, --foo=bar) and untagged arguments
are supported, as are multiple instances of each argument.
Syntax error handling is automatic.

%package devel
Summary: Development package that includes the argtable header files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Header and development files for using argtable

%prep
%setup -q -n %{name}2-13

%build
%configure --disable-static --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags} 

%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/*.la

%files 
%doc README COPYING AUTHORS ChangeLog
%{_libdir}/libargtable2.so.*

%files devel
%{_libdir}/libargtable2.so
%{_includedir}/argtable2.h
%{_libdir}/pkgconfig/argtable2.pc

%doc %{_mandir}/man3/*
%doc %{_docdir}/%{name}-%{version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sat Oct 27 2012 Paul Wouters <pwouters@redhat.com> - 2.13-2
- Removed el5 specific spec options

* Sat Oct 27 2012 Paul Wouters <pwouters@redhat.com> - 2.13-1
- Initial package
- Notified upstream of incorrect-fsf-address
